﻿
using System;
namespace GameEditor
{
    /// <summary>
    /// 表示对内存的查找结果
    /// </summary>
    class Result
    {

        private IntPtr addr;
        private string value;
        private string type;

        public Result(IntPtr addr, string value, string type)
        {
            this.addr = addr;
            this.value = value;
            this.type = type;
        }
        /// <summary>
        /// 期待值的文本表示方式
        /// </summary>
        public string Value
        {
            get { return this.value; }
        }
        /// <summary>
        /// 查找到的地址的16进制文本表示方式
        /// </summary>
        public String Address
        {
            get
            {
                return addr.ToString("X");
            }

        }
        /// <summary>
        /// 数据类型的文本表示方式
        /// </summary>
        public String Type
        {
            get
            {
                return this.type;
            }

        }

        public IntPtr GetAddress()
        {
            return addr;
        }
    }
}
