﻿using System;

namespace GameEditor
{
    /// <summary>
    /// 锁定任务
    /// </summary>
    class Task
    {

        private IntPtr addr;//起始地址
        private string lockedValue;//要锁定的值
        private Type type;//数据类型

        public Task(IntPtr addr, String lockedValue, Type type)
        {
            this.addr = addr;
            this.lockedValue = lockedValue;
            this.type = type;
        }

        public string Address
        {
            get
            {
                return addr.ToString("X");
            }
        }

        public string LockedValue
        {
            get
            {
                return lockedValue;
            }
        }

        public string DataType
        {
            get
            {
                return type.FullName;
            }
        }


        /// <summary>
        /// 写内存
        /// </summary>
        /// <param name="processHandle">目标进程句柄</param>
        public void WriteMemory(IntPtr processHandle)
        {
            byte[] input = MemoryUtils.GetBytes(this.lockedValue, this.type);
            int size = input.Length;
            int sizeOfWrite;
            MemoryUtils.WriteMemory(processHandle, this.addr, input, size, out sizeOfWrite);
        }
    }
}
